<?php

class fmsmeeting_audiovideo extends fmsmeeting_component {

    var $name = 'audiovideo';

    var $attributes = array('audiovideo_curtain', 'audiovideo_zoom', 'audiovideo_hideteachers', 'audiovideo_hidestudents');

    function _preprocess(&$default_values, $fmsmeetingxml) {

        $component = 'video';

        if (isset($fmsmeetingxml['connection']['#'][$component])) {
            if (!empty($fmsmeetingxml['connection']['#'][$component][0]['@'])) {
                $default_values['audiovideo'] = 1;
                $attributes = $fmsmeetingxml['connection']['#'][$component][0]['@'];
                foreach ($attributes as $attribute => $value) {
                    if ($value == 'true') {
                        $default_values['audiovideo_'.$attribute] = 1;
                    }
                }
            }
        }
    }

    function _postprocess(&$fmsmeeting) {
        if (isset($fmsmeeting->audiovideo)) {
            $fmsmeeting->alltext .= "\t<video ";
            if (isset($fmsmeeting->audiovideo_zoom)) {
                $fmsmeeting->alltext .= 'zoom="true" ';
                unset($fmsmeeting->audiovideo_zoom);
            } else {
                $fmsmeeting->alltext .= 'zoom="false" ';
            }
            if (isset($fmsmeeting->audiovideo_curtain)) {
                $fmsmeeting->alltext .= 'curtain="true" ';
                unset($fmsmeeting->audiovideo_curtain);
            } else {
                $fmsmeeting->alltext .= 'curtain="false" ';
            }
            if (isset($fmsmeeting->audiovideo_hideteachers)) {
                $fmsmeeting->alltext .= 'hideteachers="true" ';
                unset($fmsmeeting->audiovideo_hideteachers);
            } else {
                $fmsmeeting->alltext .= 'hideteachers="false" ';
            }
            if (isset($fmsmeeting->audiovideo_hidestudents)) {
                $fmsmeeting->alltext .= 'hidestudents="true" ';
                unset($fmsmeeting->audiovideo_hidestudents);
            } else {
                $fmsmeeting->alltext .= 'hidestudents="false" ';
            }
            $fmsmeeting->alltext .= "/>\n";
            unset($fmsmeeting->audiovideo);
        }
    }

} // Class fmsmeeting_audiovideo

?>
