<?php

$string['modulename'] = 'FMS Meeting';
$string['modulenameplural'] = 'FMS Meetings';

$string['config'] = 'FMS Meeting configuration';
$string['explainconfig'] = 'You must set these settings on order to use FMS Meeting activity module';
$string['configserverhost'] = 'The Flash Media Server IP address o hostname';
$string['configserverport'] = 'The Flash Media Server listening port number (default port: 1935)';
$string['configroomprefix'] = 'This setting customises the name of FMS Meeting rooms. This is optional, and only useful to avoid room conflicts when there is more than one Moodle are using the same Flash Media Server.';
$string['configcustomenabled'] = 'Enable customizable preset type in FMS Meeting edit page';
$string['configopenoffice'] = 'Path to soffice (OpenOffice.org command). If you enter this, office files will autoconverted to slides.';
$string['configgif2swf'] = 'Path to gif2swf. Probably something like /usr/local/bin/gif2swf. If you enter this, gif images will autoconverted to slides.';
$string['configpng2swf'] = 'Path to png2swf. Probably something like /usr/local/bin/png2swf. If you enter this, png images will autoconverted to slides.';
$string['configpdf2swf'] = 'Path to pdf2swf. Probably something like /usr/local/bin/pdf2swf. If you enter this, pdf files will autoconverted to slides.';

$string['type'] = 'Type';
$string['logo'] = 'Logo Location';
$string['popupmeeting'] = 'This resource should appear in a popup window.';
$string['popupmeetinglink'] = 'If it didn\'t, click here: $a';
$string['custom'] = 'Custom';
$string['customsettings'] = 'Custom Settings';

$string['meeting'] = 'Meeting';
$string['lesson'] = 'Lesson';
$string['broadcast'] = 'Broadcast';
$string['videoconference'] = 'Videoconference';

// Audiovideo component
$string['audiovideo'] = 'Videoconference';

$string['audiovideo_curtain'] = 'Show video mega zoom dropdown';
$string['audiovideo_zoom'] = 'Show video zoom box';
$string['audiovideo_hideteachers'] = 'Do not show teachers audio and video';
$string['audiovideo_hidestudents'] = 'Do not show students audio and video';

// Chat component
$string['chat'] = 'Chatroom';

$string['chat_coop'] = 'Students can write messages in chatroom';
$string['chat_single'] = 'Enable private messages';

// Cursor component
$string['cursor'] = 'Mouse pointer';

$string['cursor_name'] = 'Show user fullname near mouse pointer';

// People component
$string['people'] = 'People list';

$string['people_hideteachers'] = 'Do not show teachers in people list';

// Slideshow component
$string['slideshow'] = 'Slideshow';

$string['slideshow_coop'] = 'Students can direct slideshow';
$string['slideshow_foreground'] = 'Keep foreground slideshow';

$string['slideshow_slides'] = 'Slideshow Files';
$string['slideshow_location'] = 'Slideshow Location';
$string['slideshow_addfile'] = 'Add Slideshow Location';
$string['slideshow_removefile'] = 'Remove Selected Slideshow File';

// Whiteboard component
$string['whiteboard'] = 'Whiteboard';

$string['whiteboard_trasparent'] = 'Trasparent background';
$string['whiteboard_coop'] = 'Students can edit drawings';

?>
